ChartDirector Ver 4.1 (PHP Edition Edition)

Axis.setLogScale

Usage

setLogScale(lowerLimit, upperLimit [, majorTickInc [, minorTickInc ]])

Description

Sets the axis to use the given logarithmic scale.

Arguments

Argument | Default | Description
--- | --- | ---
lowerLimit | (Mandatory) | The lower bound of the axis.
upperLimit | (Mandatory) | The upper bound of the axis.

majorTickInc

0

Adds major ticks to the axis, where the major ticks are separated by majorTickInc in ratio. For example, a value of 10 means each tick will be 10 times the value of the previous tick. Each major tick will have an associated text label for the value if the axis at the tick.
The special predefined constant LogTick ( = 1.6e308) means the tick increment will be using the non-regular ratio 1, 2, 5, 10, 20, 50, 100, ....
The default value of 0 means the major ticks will be automatically determined. In this case, the lowerLimit and upperLimit may be automatically adjusted to align with the ticks.
Use NoValue to disable major ticks.

minorTickInc | 0 | Adds minor ticks to the axis, where the minor ticks are separated by minorTickInc in ratio. The special constant LogTick means the tick increment will be using the non- regular ratio 1, 2, 5, 10, 20, 50, 100, .... The default value of 0 means no minor tick is used.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.